Windows XP silliness

Submitted by dag on Thu, 2008/06/12 - 18:54

Another strange problem today while trying to install Firefox 3 RC3 on a Windows XP SP2 on a corporate laptop. Almost immediately after I run the installer:

"Sorry, Firefox can’t be installed. This version of Firefox requires Microsoft Windows 2000 or newer.”

WTF? This is a Windows XP SP2, you moron !

I remember having the exact error with one of the Beta releases. A reboot does not make a difference, I have administrator privileges, so it must be the braindead anti-virus, right ?

I killed a dozen of weird process, see the tray-icon of the anti-virus (CA eTrust Antivirus) disappear and try again. It worked! Computer Associates again, sigh...

Now, if only I could make the Firefox 3 RC3 install in something different than C:\Program Files\Mozilla Firefox 3 Beta 5. Windows really tires me out...